Subject: smoked beef ribs with pics[ can't mess up]
From: "Blackie" <[email-masked]>
To: "Buddy Watkins" <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, "Brian Smith" <[email-masked]>, "CARLA" <[email-masked]>, "Cheryl Boyd" <[email-masked]>, <[email-masked]>, "D Rhoads" <[email-masked]>, "joe alleva" <[email-masked]>, "Fred Ferrence" <[email-masked]>, "ken fucci" <[email-masked]>, "sparky" <[email-masked]>, <[email-masked]>, "jb" <[email-masked]>, <[email-masked]>, "Jimmy White" <[email-masked]>, "Karen Spruill" <[email-masked]>, "Kitty S
Date: Sun, 29 Jun 2008 13:42:01 -0400

In Texas, barbecue means beef and beef ribs are a favorite of mine. Some people claim beef ribs are tough and fatty when barbecued. If your beef ribs are coming out tough you aren't cooking them long enough. Beef ribs need to be cooked at a low temperature for a long enough time to render the fat and tenderize the meat. Keep the smoker at around 225 degrees and cook them for about 6 - 7 hours and they will be melt in your mouth tender and not at all fatty or greasy.

The ribs that are most commonly available here in north carolina come vacuum packaged in plastic. 

These are beef back ribs that have been split. I would prefer to have them all in one piece but a special order is usually required to get them that way. This is the inner, or membrane, side of the ribs.

This is the outer, or meatier, side of the ribs.

The membrane side of the ribs has a tough membrane that should be removed before cooking the ribs. Slip a dull knife along one of the rib bones under the membrane to loosen it and get it started. Some cooks like to use a phillips screwdriver.

The membrane is a little difficult to get a grip on. You can use a paper towel to grasp the membrane and get a better grip. Pull the membrane away from the ribs and it should lift right off.

After removing the membrane and trimming off any excess fat, rub the ribs with our favorite dry rub.

I usually make my own rubs, but this time I'm using a commercial brand, Stubb's from Texas. It is a good rub for beef because it doesn't contain any sugar.

Sprinkle the rub onto the ribs and then rub it in well.

Don't put the rub on too thick. I don't like a thick crust of rub on ribs. A thin coating is enough.

The ribs are rubbed down and ready to go. If you have the time, wrap the ribs in plastic wrap and refrigerate overnight before cooking. This isn't really necessary, however, so don't worry about it if you rub them down and put them right on the smoker.

Put the ribs into the smoker. If you are laying them flat, put the membrane side down.

I'm putting the ribs on two grill racks so there is plenty of room for air to circulate around them.

The ribs have been in for about 3 1/2 hours at a temperature of 225 to 250 degrees.

Notice that the meat has started to pull back from the rib bones.

Ribs can be cooked either "dry" or "wet". I like them both ways, but I usually make wet ribs. I baste them with a sauce two or three times during the last two hours or so of cooking time. Be sure to use a sauce with a low sugar content or use turbinado sugar in your sauce. It caramelizes at a higher temperature than refined sugar. It also tastes better.

After 6 1/2 hours the ribs are ready. They have a nice glaze from the basting sauce. Serve the platter of ribs with a side of potato salad and some barbecue sauce on the side.

To serve, slice the ribs apart by cutting between the bones. Serve with some smoked hot link sausages for a great barbecue platter.

Hopefully this article will encourage you to try barbecued beef ribs. They are different from pork ribs and make a nice change of pace if you have never tried them.

alice and i had these yesterday[sat. june 28] and they were great.

"He is your friend, your partner, your defender, your dog.
You are his life, his love, his leader.
He will be yours, faithful and true, to the last beat of his heart.
You owe it to him to be worthy of such devotion."

TEACHER:   Clyde , your composition on 'My Dog' is exactly the same as your brother's. Did you copy his?
CLYDE :       No, sir.  It's the same dog.

-- Unknown

No virus found in this incoming message.
Checked by AVG. 
Version: 8.0.101 / Virus Database: 270.4.3/1524 - Release Date: 6/28/2008 7:42 PM